Post news RSS BFME Build Anywhere Mod now updated for 1.03!

The build anywhere mod for battle for middle earth 1 is now updated to be compatible with the official 1.03 patch.

Posted by on

The build anywhere mod for battle for middle earth 1 is now updated to be compatible with the official 1.03 patch.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.